import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect, useRef } from 'react';
import { useFieldArray } from 'react-hook-form';
import { AddOutlined as AddOutlinedIcon, DeleteOutlined as DeleteOutlinedIcon, } from '@mui/icons-material';
import { Typography } from '@mui/material';
import { ButtonVariant } from '../../constants';
import { translate } from '../../locales/translations';
import AdminButton from '../button/AdminButton';
const AdminRepeater = (props) => {
    const { control, errors, initialAdded = false, label = '', limit = -1, name, renderField, repeaterFields, } = props;
    const { append, remove, fields } = useFieldArray({
        control,
        name,
    });
    const canAddMore = limit === -1 || fields.length < limit;
    const hasAppendedInitially = useRef(!initialAdded);
    const renderFields = (index) => repeaterFields.map((repeaterField) => {
        const { field: repeaterFieldId, fieldProps } = repeaterField;
        const fieldKey = `${name}.${index}.${repeaterFieldId}`;
        const helperText = errors[name]?.[index]?.[repeaterFieldId]?.message;
        return renderField({
            ...repeaterField,
            field: fieldKey,
            errorMessage: helperText,
            fieldProps: { ...fieldProps, control, index },
        });
    });
    const renderArrayFields = fields?.map((item, index) => (_jsxs("div", { className: "addEdit__repeaterItemContainer", children: [renderFields(index), _jsx(AdminButton, { variant: ButtonVariant.Outlined, onClick: () => remove(index), title: translate.common.delete, disableRipple: true, disableFocusRipple: true, className: "addEdit__repeaterRemoveButton", startIcon: _jsx(DeleteOutlinedIcon, { className: "addEdit__repeaterRemoveIcon" }) })] }, item.id)));
    useEffect(() => {
        if (fields.length === 0 && !hasAppendedInitially.current) {
            append({});
            hasAppendedInitially.current = true;
        }
    }, [append, fields.length]);
    return (_jsxs("div", { className: "addEdit__repeaterContainer", children: [_jsxs("div", { className: "addEdit__repeater", children: [_jsx(Typography, { className: "addEdit__repeaterLabel", children: label }), canAddMore && (_jsx(AdminButton, { variant: ButtonVariant.Outlined, onClick: () => append({}), title: translate.common.addNew, className: "addEdit__repeaterAddButton", startIcon: _jsx(AddOutlinedIcon, { className: "addEdit__repeaterAddIcon" }) }))] }), renderArrayFields] }));
};
export default AdminRepeater;
