import { jsx as _jsx } from "react/jsx-runtime";
import { GridActionsCellItem } from '@mui/x-data-grid';
import AdminToggle from '../../components/toggle/AdminToggle';
import { TABLE_ACTIONS_KEYS } from '../../constants';
import './adminTable-styles.scss';
const getActions = (actions, handleActionClick, handleToggle, toggleKey = 'is_active', disableActionsForRow) => (row) => {
    if (disableActionsForRow && disableActionsForRow(row.row)) {
        return [];
    }
    return actions.map(action => {
        const { Icon, key, label, showInMenu, handleClick } = action;
        const actionClassName = `adminTable__actionButton ${key === TABLE_ACTIONS_KEYS.DELETE ? 'adminTable__actionButtonDelete' : ''}`;
        const handleAction = (row, key) => () => handleClick ? handleClick(row) : handleActionClick(row, key);
        if (key === TABLE_ACTIONS_KEYS.TOGGLE) {
            return (_jsx(GridActionsCellItem, { icon: _jsx(AdminToggle, { value: row.row[toggleKey], onChange: () => handleToggle(row.row, !row.row[toggleKey]), size: "small", label: "" }), label: '', disableRipple: true, className: actionClassName, showInMenu: showInMenu }, key));
        }
        return (_jsx(GridActionsCellItem, { icon: _jsx(Icon, {}), label: label, disableRipple: true, onClick: handleAction(row, key), className: actionClassName, showInMenu: showInMenu }, key));
    });
};
export default getActions;
