import { type ComponentType } from 'react';
import { FieldValues } from 'react-hook-form';
import { GridRowParams } from '@mui/x-data-grid';
export declare enum TABLE_ACTIONS_KEYS {
    VIEW = "view",
    EDIT = "edit",
    DELETE = "delete",
    ADD = "add",
    SEARCH = "search",
    TOGGLE = "toggle"
}
export declare enum TableSortingOrder {
    ASC = "asc",
    DESC = "desc"
}
export interface TableAction<SubmitDataType extends FieldValues> {
    Icon: ComponentType;
    key: TABLE_ACTIONS_KEYS | string;
    label: string;
    showInMenu: boolean;
    handleClick?: (data: GridRowParams<SubmitDataType>) => void;
}
export declare const DEFAULT_COLUMN: {
    sortable: boolean;
    headerName: string;
    isVisible: boolean;
};
export declare const ROW_PER_PAGE: number[];
export declare enum TableCellType {
    ACTIONS = "actions",
    DATE = "date",
    IMAGE = "image",
    TEXT = "text",
    CHIP = "chip",
    ANIMATED_STATUS = "animatedStatus",
    BOOLEAN = "boolean",
    DATE_TIME = "date_time",
    AVATAR = "avatar"
}
export declare const TABLE_ACTIONS: TableAction<FieldValues>[];
