import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect } from 'react';
import { observer } from 'mobx-react-lite';
import { RestartAlt as RestartAltIcon } from '@mui/icons-material';
import { Typography } from '@mui/material';
import AdminButton from '../../components/button/AdminButton';
import AdminTextEditor from '../../components/text-editor/AdminTextEditor';
import { ButtonVariant } from '../../constants/common-constants';
import { useStore } from '../../models/root-store/root-store';
import './termsAndConditions-styles.scss';
const TermsAndConditions = observer(() => {
    const store = useStore();
    const { domainStore } = store;
    const { updateTermsAndCondition, getTermsAndConditions, termsAndConditions, setTermsAndConditionsData, } = domainStore;
    const { termsAndConditionsData, id } = termsAndConditions;
    useEffect(() => {
        getTermsAndConditions();
        // setValue(termsAndConditionsData);
    }, []);
    const handleOnReset = () => {
        setTermsAndConditionsData('');
    };
    const handleEditorChange = (value) => {
        setTermsAndConditionsData(value);
    };
    const handleSave = () => {
        updateTermsAndCondition(termsAndConditionsData, id);
    };
    return (_jsxs("div", { className: "termsAndConditions__container", children: [_jsx(Typography, { className: "termsAndConditions__heading", children: "Terms & Conditions" }), _jsx("br", {}), _jsx(AdminTextEditor, { value: termsAndConditionsData, handleEditorChange: handleEditorChange }), _jsxs("div", { className: "termsAndConditions__buttonContainer", children: [_jsx(AdminButton, { title: "Reset", handleClick: handleOnReset, buttonVariant: ButtonVariant.Text, startIcon: _jsx(RestartAltIcon, {}), className: "termsAndConditions__resetButton" }), _jsx(AdminButton, { title: "Save", handleClick: handleSave, className: "termsAndConditions__saveButton" })] })] }));
});
export default TermsAndConditions;
