import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useEffect } from 'react';
import { BrowserRouter, Route, Routes } from 'react-router-dom';
import { observer } from 'mobx-react-lite';
import { DashboardOutlined as DashboardIcon } from '@mui/icons-material';
import { auth } from '../../firebase';
import { SideBar } from '../components';
import { LOCAL_STORAGE_KEYS } from '../constants/common-constants';
import { ROUTES } from '../constants/route-constants';
import { useStore } from '../models/root-store/root-store';
import { DemoPage, LoginPage, NotFoundPage } from '../pages';
import { getLocalStorageValue } from '../utils/common-utils';
import PrivateRoutes from './private-routes';
const Router = () => {
    const store = useStore();
    const { domainStore } = store;
    const { userStore } = domainStore;
    const { isSignedIn, setIsSignedIn } = userStore;
    const isLocalSignedIn = getLocalStorageValue(LOCAL_STORAGE_KEYS.isLoggedIn);
    // const isUserLoggedIn = isSignedIn || isLocalSignedIn;
    const handleUserLogin = () => {
        auth.onAuthStateChanged(user => {
            if (user) {
                setIsSignedIn(true);
            }
            else {
                setIsSignedIn(false);
                localStorage.clear();
            }
        });
    };
    useEffect(() => {
        const unsubscribe = () => {
            handleUserLogin();
        };
        return () => {
            unsubscribe();
        };
    }, [isSignedIn, isLocalSignedIn]);
    const SIDE_BAR_ROUTES = [
        {
            icon: DashboardIcon,
            label: 'Rewards',
            path: ROUTES.DEMO,
        },
    ];
    return (_jsxs(BrowserRouter, { children: [_jsx(SideBar, { routes: SIDE_BAR_ROUTES, companyName: 'Admin', children: _jsx(Routes, { children: _jsx(Route, { path: ROUTES.DEMO, element: _jsx(DemoPage, {}) }) }) }), _jsxs(Routes, { children: [_jsx(Route, { path: ROUTES.LOGIN, element: _jsx(LoginPage, {}) }), _jsx(Route, { element: _jsx(PrivateRoutes, { isLoggedIn: true }) }), _jsx(Route, { path: "*", element: _jsx(NotFoundPage, {}) })] })] }));
};
export default observer(Router);
