import { createTheme } from '@mui/material';
import palette from './colors';
export const appTheme = createTheme({
    components: {
        MuiButton: {
            defaultProps: {
                color: 'primary',
            },
            styleOverrides: {
                root: {
                    color: 'primary',
                },
            },
        },
        MuiTypography: {
            defaultProps: {
                color: palette.textColor,
            },
            styleOverrides: {
                root: {
                    fontFamily: 'Outfit',
                    fontSize: '14px',
                    fontWeight: 500,
                    textTransform: 'capitalize',
                },
            },
        },
        MuiRadio: {
            defaultProps: {
                color: 'primary',
            },
        },
        MuiCheckbox: {
            defaultProps: {
                color: 'primary',
            },
        },
        MuiPagination: {
            defaultProps: {
                color: 'primary',
            },
            styleOverrides: {
                root: {
                    color: palette.textColor,
                    fontFamily: 'Outfit',
                    fontSize: '14px',
                    fontWeight: 500,
                    textTransform: 'capitalize',
                },
            },
        },
        MuiToggleButton: {
            defaultProps: {
                color: 'primary',
            },
        },
        MuiSvgIcon: {
            defaultProps: {
                color: 'primary',
            },
        },
        MuiSlider: {
            defaultProps: {
                color: 'primary',
            },
            styleOverrides: {
                root: {
                    fontFamily: 'Outfit',
                    fontSize: '14px',
                    fontWeight: 500,
                    textTransform: 'capitalize',
                    padding: '10px',
                },
            },
        },
        MuiFormHelperText: {
            defaultProps: {
                color: 'primary',
            },
            styleOverrides: {
                root: {
                    fontFamily: 'Outfit',
                    fontSize: '14px',
                    fontWeight: 400,
                    textTransform: 'capitalize',
                    color: palette.textColor,
                    marginLeft: '0px',
                    marginTop: '5px',
                },
            },
        },
    },
    palette: {
        primary: {
            main: palette.primary,
        },
        secondary: {
            main: palette.secondary,
        },
    },
});
